Name:           pkgdiff
Version:        1.2
Release:        1%{?dist}
Summary:        A tool for analyzing changes in Linux software packages

License:        GPLv2+
URL:            http://pkgdiff.github.com/pkgdiff/
Source0:        https://github.com/downloads/%{name}/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  help2man
Requires:       wdiff binutils gawk
Requires:       abi-compliance-checker >= 1.96

BuildArch:      noarch


%description
Package Changes Analyzer (pkgdiff) is a tool for analyzing changes
in Linux software packages (RPM, DEB, TAR.GZ, etc). The tool is
intended for Linux maintainers who are interested in ensuring
compatibility of old and new versions of packages.


%prep
%setup -q
chmod 0644 LICENSE README
chmod 0755 %{name}.pl


%build
# Nothing to build.


%install
mkdir -p %{buildroot}%{_prefix}
mkdir -p %{buildroot}%{_mandir}/man1
perl Makefile.pl -install --prefix=%{_prefix} --destdir=%{buildroot}

# Generate man page
cp %{name}.pl %{name}
help2man -N --no-discard-stderr -o %{name}.1 ./%{name}
sed -i 's/\(.\)/\n\1/' %{name}.1
sed -i 's/PACKAGE/PKGDIFF/g' %{name}.1
install -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1


%files
%doc LICENSE README doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*


%changelog
* Fri Feb 17 2012 Richard Shaw <hobbes1069@gmail.com> - 1.2-1
- Update to latest release.
- rfcdiff is now considered forked.

* Tue Feb 14 2012 Richard Shaw <hobbes1069@gmail.com> - 1.0-3
- Unbundle rfcdiff.
- Add rfcdiff as requirement to spec file.

* Mon Jan 30 2012 Richard Shaw <hobbes1069@gmail.com> - 1.0-1
- Initial release.
